Bug 45136

Summary: [Qt] Make it possible to configure QtWebKit to use V8 (metabug)
Product: WebKit Reporter: Vlad <vladbph@gmail.com>
Component: New BugsAssignee: Vlad <vladbph@gmail.com>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth@webkit.org, abecsi@webkit.org, akling@apple.com, christian.webkit@gmail.com, cmarcelo@webkit.org, eostroukhov@gmail.com, hausmann@webkit.org, henry.haverinen@nokia.com, japhet@chromium.org, kbalazs@webkit.org, kent.hansen@nokia.com, laszlo.gombos@webkit.org, loki@webkit.org, luiz@webkit.org, ossy@webkit.org, pvarga@webkit.org, s.mathur@ieee.org, tonikitoo@webkit.org, webkit-ews@sed.inf.u-szeged.hu, yael@webkit.org, zherczeg@webkit.org
Priority: P3    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Bug Depends on: 45140, 45141, 45142, 45144, 45145, 45146, 45147, 45148, 45149, 45150, 45157    
Bug Blocks:    

Description From 2010-09-02 15:23:41 PST
Make it possible to configure QtWebKit to use the V8 JavaScript engine instead of JavaScriptCore. At first, this would be useful for performance benchmarking and quality assurance.
------- Comment #1 From 2010-09-02 23:52:13 PST -------
Changing the order of blocking/depends. The sub-tasks block this task. We can close this bug when the sub-bugs are fixed :)
------- Comment #2 From 2010-09-03 07:20:21 PST -------
One idea for simplifying the build system changes a bit would be to replace the contains(QTJAVASCRIPTENGINE, V8) { ... } bits with a CONFIG, i.e. do

CONFIG += v8 at some point and then later on the test is a bit simpler:

v8 {
}
------- Comment #3 From 2010-09-03 10:12:00 PST -------
Idealy js engine value should be passed here... something like

perl WebKitTools\Scripts\build-webkit --qt --symbian --v8

not sure if it translates into CONFIG... If yes, I agree it is simplest way. Another dependency for v8 is public header path...

(In reply to comment #2)
> One idea for simplifying the build system changes a bit would be to replace the contains(QTJAVASCRIPTENGINE, V8) { ... } bits with a CONFIG, i.e. do
> 
> CONFIG += v8 at some point and then later on the test is a bit simpler:
> 
> v8 {
> }
------- Comment #4 From 2010-09-20 02:50:00 PST -------
WebKit trunk builds with V8 now, when --qt --v8 is passed to build-webkit and the Qt build is the one that contains the experimental port of QtScript to V8.
------- Comment #5 From 2010-09-20 02:50:26 PST -------
This bug has a corresponding JIRA issue: <http://bugreports.qt.nokia.com/browse/QTBUG-13184>